{===================================================================================================

  Comming BASE

     . DBDateEdit,       .

====================================================================================================

  :

  20.09.2006 [*]         .
  12.09.2002 [*]  ().
  23.03.2002 [*] Enabled:   .
  09.02.2002 [+] ReadOnly:  .
             [+] Enabled:  .
             [+]  .
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992006 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBDateEditPeriod.pas,v 1.5 2008/05/28 12:08:24 tsk Exp $
===================================================================================================}
unit BASEsfDBDateEditPeriod;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,
      Mask, DBCtrls,
      // Comming:
      CommingFlat, CommingEditExtended, CommingDBEditExtended, CommingDateTime;

type
  TBASEDBEditDatePeriodSF = class( TFrame )
    laFrom: TcoLabel;
    edFrom: TcoDBDateEdit;
    laTo: TcoLabel;
    edTo: TcoDBDateEdit;
    procedure edFromEnter(Sender: TObject);
    procedure edToEnter(Sender: TObject);
  private   { Private declarations }
    FReadOnly: Boolean;
    FEnabled: Boolean;
    procedure   SetEnabledX(const Value: Boolean);
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}
//==================================================================================================
{ TBASEDBEditDatePeriodSF }
//==================================================================================================
procedure TBASEDBEditDatePeriodSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled        := Value;
  laFrom.Enabled  := Value;
  edFrom.Enabled  := Value;
  laTo.Enabled    := Value;
  edTo.Enabled    := Value;
end;
//==================================================================================================
procedure TBASEDBEditDatePeriodSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly       := Value;
  edFrom.ReadOnly := Value;
  edTo.ReadOnly   := Value;
end;
//==================================================================================================
procedure TBASEDBEditDatePeriodSF.edFromEnter(Sender: TObject);
begin
  if edFrom.Date > edTo.Date
    then edFrom.Date := FirstDayMonth( edTo.Date )
end;
//==================================================================================================
procedure TBASEDBEditDatePeriodSF.edToEnter(Sender: TObject);
begin
  if edTo.Date < edFrom.Date
    then edTo.Date   := LastDayMonth( edFrom.Date )
end;
//==================================================================================================
end.
